!C99Shell v. 2.5 [PHP 8 Update] [24.05.2025]!

Software: Apache. PHP/8.3.27 

uname -a: Linux pdx1-shared-a4-04 6.6.104-grsec-jammy+ #3 SMP Tue Sep 16 00:28:11 UTC 2025 x86_64 

uid=6659440(dh_z2jmpm) gid=2086089(pg10499364) groups=2086089(pg10499364)  

Safe-mode: OFF (not secure)

/usr/share/doc/busybox-static/examples/   drwxr-xr-x
Free 688.17 GB of 879.6 GB (78.24%)
Home    Back    Forward    UPDIR    Refresh    Search    Buffer    Encoder    Tools    Proc.    FTP brute    Sec.    SQL    PHP-code    Update    Self remove    Logout    


Viewing file:     mdev.conf.change_blockdev.sh (625 B)      -rwxr-xr-x
Select action/file-type:
(+) | (+) | (+) | Code (+) | Session (+) | (+) | SDB (+) | (+) | (+) | (+) | (+) | (+) |
#!/bin/sh

# Seconds to try to reread partition table
cnt=60

exec </dev/null
exec >"/tmp/${0##*/}.$$.out"
exec 2>&1

(
echo "Running: $0"
echo "Env:"
env | sort

while sleep 1; test $cnt != 0; do
	echo "Trying to reread partition table on $DEVNAME ($cnt)"
	cnt=$((cnt-1))
	# If device node doesn't exist, it means the device was removed.
	# Stop trying.
	test -e "$DEVNAME" || { echo "$DEVNAME doesn't exist, aborting"; exit 1; }
	#echo "$DEVNAME exists"
	if blockdev --rereadpt "$DEVNAME"; then
		echo "blockdev --rereadpt succeeded"
		exit 0
	fi
	echo "blockdev --rereadpt failed, exit code: $?"
done
echo "Timed out"
) &

:: Command execute ::

Enter:
 
Select:
 

:: Search ::
  - regexp 

:: Upload ::
 
[ Read-Only ]

:: Make Dir ::
 
[ Read-Only ]
:: Make File ::
 
[ Read-Only ]

:: Go Dir ::
 
:: Go File ::
 

--[ c99shell v. 2.5 [PHP 8 Update] [24.05.2025] | Generation time: 0.0095 ]--